Package org.springframework.security.config.annotation.web.configurers

# Class AbstractHttpConfigurer<T extends AbstractHttpConfigurer<T,B>,B extends HttpSecurityBuilder<B>>

java.lang.Object
org.springframework.security.config.annotation.SecurityConfigurerAdapter<org.springframework.security.web.DefaultSecurityFilterChain,B>
org.springframework.security.config.annotation.web.configurers.AbstractHttpConfigurer<T,B>

All Implemented Interfaces:
  `SecurityConfigurer<org.springframework.security.web.DefaultSecurityFilterChain,B>`

Direct Known Subclasses:
  `AbstractAuthenticationFilterConfigurer`, `AbstractInterceptUrlConfigurer`, `AnonymousConfigurer`, `AuthorizeHttpRequestsConfigurer`, `ChannelSecurityConfigurer`, `CorsConfigurer`, `CsrfConfigurer`, `DefaultLoginPageConfigurer`, `ExceptionHandlingConfigurer`, `HeadersConfigurer`, `HttpBasicConfigurer`, `JeeConfigurer`, `LogoutConfigurer`, `OAuth2ClientConfigurer`, `OAuth2ResourceServerConfigurer`, `OidcLogoutConfigurer`, `OneTimeTokenLoginConfigurer`, `PasswordManagementConfigurer`, `PortMapperConfigurer`, `RememberMeConfigurer`, `RequestCacheConfigurer`, `Saml2LogoutConfigurer`, `Saml2MetadataConfigurer`, `SecurityContextConfigurer`, `ServletApiConfigurer`, `SessionManagementConfigurer`, `WebAuthnConfigurer`, `X509Configurer`

public abstract class AbstractHttpConfigurer<T extends AbstractHttpConfigurer<T,B>,B extends HttpSecurityBuilder<B>> extends SecurityConfigurerAdapter<org.springframework.security.web.DefaultSecurityFilterChain,B>
Adds a convenient base class for `SecurityConfigurer` instances that operate on `HttpSecurity`.

## Constructor Summary

Constructors
Constructor
Description
`AbstractHttpConfigurer()`

## Method Summary

Modifier and Type
Method
Description
`B`
`disable()`
Disables the `AbstractHttpConfigurer` by removing it.
`protected org.springframework.security.core.context.SecurityContextHolderStrategy`
`getSecurityContextHolderStrategy()`
`T`
`withObjectPostProcessor(ObjectPostProcessor<?> objectPostProcessor)`
Deprecated, for removal: This API element is subject to removal in a future version.
`T`
`withObjectPostProcessor(ObjectPostProcessor<?> objectPostProcessor)`

### Methods inherited from class org.springframework.security.config.annotation.SecurityConfigurerAdapter

`addObjectPostProcessor, addObjectPostProcessor, and, configure, getBuilder, init, postProcess, setBuilder`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AbstractHttpConfigurer

public AbstractHttpConfigurer()

## Method Details

### disable

public B disable()
Disables the `AbstractHttpConfigurer` by removing it. After doing so a fresh version of the configuration can be applied.

Returns:
  the `HttpSecurityBuilder` for additional customizations

### withObjectPostProcessor

public T withObjectPostProcessor(ObjectPostProcessor<?> objectPostProcessor)

### withObjectPostProcessor

@Deprecated(since="6.4", forRemoval=true) public T withObjectPostProcessor(ObjectPostProcessor<?> objectPostProcessor)
Deprecated, for removal: This API element is subject to removal in a future version.

### getSecurityContextHolderStrategy

protected org.springframework.security.core.context.SecurityContextHolderStrategy getSecurityContextHolderStrategy()